-----------------------------------------------------------------------------
-- Module: @(#)mkSQL_revoke_public.sql	version: 2.5     Date: 12/1/2016
-- Author: Lester Knutsen  Contact: lester@advancedatatools.com
-- Copyright: Advanced DataTools Corporation 
-- Description:	Generate an SQL script to revoke public table permissions 
-- 		from all tables in a database
-----------------------------------------------------------------------------

-- Output Section
output to "o_revoke_public.sql"
without headings
-- Syntax revoke all on tablename from public;
select "revoke all on ",
        trim(tabname),
        "from public;"
from    systables , systabauth
where   systables.tabid = systabauth.tabid
and grantee = "public"          -- tables that have public access
and systables.tabid > 99;       -- non system tables


